Latest post Fri, Jun 14 2019 8:12 AM by AdamRS2i. 3 replies.
Page 1 of 1 (4 items)
Sort Posts: Previous Next
  • Thu, Jun 13 2019 3:15 PM

    • AdamRS2i
    • Not Ranked
    • Joined on Tue, Jun 4 2019
    • Posts 3
    • Points 25

    TMAutoApi DLL issues - upgrade to 3.7.0 with SDK 3.7.2

    Hi

    We are currently trying to integrate Avid TM API 3.7.0 with our workflow app. This works on an old Avid Transfer Engine with SDK 2.5 but we have to updrage to Transfer Engine 3.7.0 but we are having problems upgrading :

    Transfer Engine is version 3.7.0

    We have tried to integrate with SDK 3.5 and 3.7.2

    our apps are written in Java so we have a dll to call SDK functions from our Java

     

    A workflow process in our app calls the bundle to ingest

    TMAutoAPI and Transfer Engine Client DLL are included in Tomcat /bin

    if we rollback to our old bundle with the 2.5 SDK on the old Transfer Engine, Ingest works as expected

    With the SDK 3.5 -> our app can call "Initialize", "ValidateLocatorsOnServer" and "IsClientVersionCompatibleWithServer" works well with the new SDK and server as we run these calls when the Tomcat server starts up

    we have no error for these calls

    we have an error when we call Ingest with "-394 (IngestError) Internal Error"

    we also run "IsClientVersionCompatibleWithServer" on a regular basis to check communication is still up between our app and Transfer Engine

    we have no error for these calls

    we have an error when we call Ingest with "-394 (IngestError) Internal Error"

     

    With SDK 3.7.2, we have an error that dependant librairies are missing

    I noticed that with our compiled DLL and AvidTmAutoAPI.dll, we don't have GenericHelper_14.1.29_vc12_u.dll

    On the Transfer Engine Client, I fould GenericHelper_14.1.22_vc12_u.dll

    The DLL won't even load this time

    Looking at the dependencies (with a dependency program), it seems to point to an issue with the Generic Helper

    I suspect the SDK 3.7.2 is not comaptible with Transfer Engine 3.7.0 and the Generic Helper found in the client?

     

    What could the error "-394 (IngestError) Internal Error" come from with SDK 3.5? Could the wrong Generic Helper dll explain our problem with the new 3.7.2 SDK?  Does the SDK have to match perfectly the Transfer Engine Client?

    Thanks for your help

    Filed under:
  • Thu, Jun 13 2019 7:38 PM In reply to

    • Vadym
    • Top 500 Contributor
    • Joined on Thu, Apr 17 2014
    • Posts 224
    • Points 2,715
    • Avid Developer Moderator
      Avid Employee

    Re: TMAutoApi DLL issues - upgrade to 3.7.0 with SDK 3.7.2

    Hi Adam,

    For the start could you please confirm which version of transfer client is installed on the machine with TMAuto? It comes with the needed DLLs so you should run 3.7.x

    And it would help if you can run TMAuto right from the command line while troubleshooting to see output of each command and parameters used.

    Thanks

  • Fri, Jun 14 2019 7:28 AM In reply to

    • AdamRS2i
    • Not Ranked
    • Joined on Tue, Jun 4 2019
    • Posts 3
    • Points 25

    Re: TMAutoApi DLL issues - upgrade to 3.7.0 with SDK 3.7.2

    Hi Vadym,

    Thanks for your reply.

    Transfer Engine client

    This is the information from the Transfer Client :

    •  
        Module                               Version              Date/Time
        AAFCOAPI.dll                         1.1.6.9035           Sun Dec 11 19:23:44 2016
        ACFPluginHost.dll                    1.0.10.1850          Sun Dec 11 19:23:44 2016
        AvidMXF_SDK_4.6.6_vc12.dll           4.6.6.10028          Sun Dec 11 19:23:44 2016
        AvidMXF_SDK_Modules_4.6.6_vc12.dll   4.6.6.10028          Sun Dec 11 19:23:46 2016
        AvOmfToolkit.dll                     12.0.0.175           Sun Dec 11 19:23:46 2016
        CoreThreads.dll                      6.11.0.44615         Sun Dec 11 19:28:10 2016
        CoreUtils.dll                        6.11.0.44615         Sun Dec 11 19:28:12 2016
        frameOffsetDll.dll                   1.0.0.1              Sun Dec 11 19:28:12 2016
        GenericHelper_14.1.22_vc12_u.dll     14.1.22.35294        Sun Dec 11 19:23:48 2016
        libcurl.dll                          7.20.1               Thu Sep 29 06:43:50 2011
        libjpegV4.dll                        12.0.0.175           Sun Dec 11 19:23:48 2016
        MXFviaAAF.dll                        1.1.6.9035           Sun Dec 11 19:23:50 2016
        StudioStatus.dll                     3.7.0.37685          Sun Dec 11 19:28:14 2016
        xerces-c_3.1_vc12_x64_u.dll          3, 1, 4, 0           Sun Dec 11 19:23:50 2016
        xfermgrapi.dll                       3.7.0.37685          Sun Dec 11 19:28:14 2016
    • Version: 3.7.0.54975

      DLL Version Mismatch

    Sample : 

    I also compiled the sample to try and run it on the server (as an .exe? I can't install VS on the server or call the server from my desktop). When I try to run the .exe, I get an error message relating to "GenericHelper_14.1.29_vc12_u.dll" missing.

     

    SDK 3.5

    When using SDK 3.5, our program called TMAuto and we could get the following output from the console calling "Initialize", "ValidateLocatorsOnServer" and "IsClientVersionCompatibleWithServer" : 

    But when trying to Ingest, no output from the console and we get the following error  : -394 | (IngestError) Internal Error

     

    SDK 3.7.2

    With SDK 3.7.2, we get an error for dependant libraries missing which I suspect is down to "GenericHelper" not been the right version (so maybe SDK 3.7.2 can't call a Transfer Engine client in 3.7.0).

    I suspect all our issues are down to version problems between the SDK and/or the Transfer Engine and client.

    However, I would like to know if a -394 IngestError is due to SDK error or the Transfer Engine error. To me, the error message isn't very explicit.

    For information : I'm not the person who installed the Transfer Engine or Client and I'm using the SDK given to me by the client and/or Avid.

     

    Thanks for your help,

    Adam

    Filed under: ,
  • Fri, Jun 14 2019 8:12 AM In reply to

    • AdamRS2i
    • Not Ranked
    • Joined on Tue, Jun 4 2019
    • Posts 3
    • Points 25

    Re: TMAutoApi DLL issues - upgrade to 3.7.0 with SDK 3.7.2

    Hi,

    We can close this topic : it seems as though it was due to the version!

    Our client has upgraded to Transfer Engine and client 3.7.2 and it seems to be running.

    Adam

Page 1 of 1 (4 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller